perl – CPAN模块的问题

我试过安装WWW :: Mechanize模块

'cpan WWW::Mechanize'

我在’使用WWW :: Mechanize’行中没有出现任何错误,这意味着它找到了文件,但在尝试使用以下方法实例化它时:

$m = WWW::Mechanize->new();

我遇到以下问题:

无法在@INC中找到HTTP / Config.pm(@INC包含:/ Library/Perl/Updates/5.10.0/darwin- thread-multi-2level /Library/Perl/Updates/5.10.0/System/Library/ Perl / 5.10.0 / darwin-thread-multi-2level /System/Library/Perl/5.10.0 /Library/Perl/5.10.0/darwin-thread-multi-2level /Library/Perl/5.10.0 / Network / Library / Perl / 5.10.0 / darwin-thread-multi-2level /Network/Library/Perl/5.10.0 / Network / Library / Perl /System/Library/Perl/Extras/5.10.0/darwin-thread-multi- 2level /System/Library/Perl/Extras/5.10.0.)at /Library/Perl/5.10.0/LWP/UserAgent.pm第746行.

我不确定发生了什么.我觉得我有所有必要的依赖项,但我似乎无法找到这个特定错误的含义.

除了前面提到的行和之外,我的脚本是空的

use strict;
use warnings;

有没有人碰到这个?

尝试使用以下命令安装它(从shell):

perl -MCPAN -e 'install WWW::Mechanize'

按照安装过程,在需要的地方回答’Y’.

相关文章
相关标签/搜索